Skip to main content
`Ctrl`+`K`

# TSSundialsGetIterations

Gets the number of nonlinear and linear iterations used so far by `TSSUNDIALS`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSundialsGetIterations(TS ts, int *nonlin, int *lin)

Not Collective

## Input Parameter

- ts - the time-step context

## Output Parameters

- nonlin - number of nonlinear iterations

- lin - number of linear iterations

## Note

These return the number since the creation of the `TS` object

## See Also

TS: Scalable ODE and DAE Solvers, `TSSundialsSetType()`, `TSSundialsSetMaxl()`, `TSSundialsSetLinearTolerance()`, `TSSundialsSetGramSchmidtType()`, `TSSundialsSetTolerance()`, `TSSundialsGetPC()`, `TSSetExactFinalTime()`

## Level

advanced

## Location

src/ts/impls/implicit/sundials/sundials.c

## Implementations

TSSundialsGetIterations_Sundials() in src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages